## imvirt 0.2

=== Makefile ===
clean:
	

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp imvirt $(DESTDIR)/usr/bin

## imvirt 0.3.1+svn426

=== debian/changelog ===
imvirt (0.3.1+svn426-1) unstable; urgency=low

  * New upstream subversion snapshot.
    - Fixes an error which appears in the kernel ring buffer on amd64 systems.
  * Merge 0.3.1-1~bpo50+1 changelog.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Nov 2009 12:13:34 +0100

imvirt (0.3.1-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Sep 2009 15:27:36 +0200

imvirt (0.3.1-1) unstable; urgency=low

  * New upstream release
    - Package is now arch:any.
    - Drop manpage, it is in upstreams tarball now.
    - Adjust debian/copyright informations.
  * Set homepage location away from sourceforge, so I do not get anymore emails
    about the pseudo wrong homepage entry.
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Remove useless dirs file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Sep 2009 21:12:12 +0200

imvirt (0.2.1-3) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Merge 0.2-1~bpo50+1 and 0.2.1-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 08:58:18 +0200

imvirt (0.2.1-2) unstable; urgency=low

  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Refer in debian/copyright to the GPL-2 file instead of GPL.
    This fixes the lintian warning copyright-refers-to-symlink-license.
  * Install upstreams changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Apr 2009 09:01:41 +0200

imvirt (0.2.1-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Mar 2009 21:30:42 +0200

imvirt (0.2.1-1) unstable; urgency=low

  * New upstream release.
    - Properly detect paravirt Xen.
      Closes: #519207
  * Add get-orig-source target.
  * Bump Standards-Version to 3.8.1 (no changed needed).
  * Fix copyright-with-old-dh-make-debian-copyright.
    Thanks lintian.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 12 Mar 2009 10:36:04 +0200

imvirt (0.2-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 17 Feb 2009 18:14:09 +0200

imvirt (0.2-1) unstable; urgency=low

  * Initial release.
    Closes: #506984

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed, 26 Nov 2008 19:40:06 +0100

=== debian/control ===
Source: imvirt
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3
Homepage: http://micky.ibh.net/~liske/imvirt.html

Package: imvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: dmidecode
Description: detects several virtualizations
 This perl script tries to detect if it is run in a virtualization container.
 .
 In this version it is able to detect the following virtualization
 technologies:
  VirtualBox
  Virtual PC/Server
  VMware
  QEMU
  KVM
  Xen
 .
 And much more.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --libexec=/usr/lib/imvirt
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) DESTDIR=$(CURDIR)/debian/imvirt install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_compress -a
	dh_fixperms -a
	dh_perl -a
	dh_strip -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: build install

get-orig-source:
	@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## imvirt 0.9.0

=== debian/changelog ===
imvirt (0.9.0-2) unstable; urgency=low

  * Pass INSTALLDIRS=vendor to Makefile.PL. Much thanks to Ansgar Burchardt
    for his patch and spotting this problem.
    Closes: #578798

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 May 2010 10:01:50 +0200

imvirt (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - Add new libimvirt-perl package.
  * Merge 0.3.1+svn426-1~bpo50+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 03 Apr 2010 16:10:26 +0200

imvirt (0.3.2-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
    - Revert the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 21:09:59 +0100

imvirt (0.3.2-2) unstable; urgency=low

  * Install a reportbug script, which adds some important information to the
    bugreport, like the output of detect, imvirt and the content of
    /proc/cpuinfo.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 06 Feb 2010 14:11:55 +0100

imvirt (0.3.2-1) unstable; urgency=low

  * New upstream release.
    - Fix false positive detection on P4 systems.
      Closes: #566656
  * Merge 0.3.1+svn426-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Feb 2010 19:24:54 +0100

imvirt (0.3.1+svn426-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Do not use DebSrc format 3.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Dec 2009 11:44:33 +0100

=== debian/control ===
Source: imvirt
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 5), automake
Standards-Version: 3.8.4
Homepage: http://micky.ibh.net/~liske/imvirt.html

Package: imvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libimvirt-perl (= ${source:Version})
Recommends: dmidecode
Description: detects several virtualizations
 This Perl script tries to detect if it is run in a virtualization container.
 .
 In this version it is able to detect the following virtualization
 technologies:
  VirtualBox
  Virtual PC/Server
  VMware
  QEMU
  KVM
  Xen
 .
 And much more.

Package: libimvirt-perl
Architecture: all
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, libmodule-find-perl,
 libfile-slurp-perl
Description: Perl module for detecting several virtualizations
 This Perl is able to determine, on which virtualization it is running.
 .
 In this version it is able to detect the following virtualization
 technologies:
  VirtualBox
  Virtual PC/Server
  VMware
  QEMU
  KVM
  Xen
 .
 And much more.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./configure --prefix=/usr --libexec=/usr/lib/imvirt
+	automake
+	./configure --prefix=/usr --libexec=/usr/lib
 	touch configure-stamp
 
 build: build-stamp
@@ -19,6 +20,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	rm -rf autom4te.cache Makefile.in
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
 
@@ -26,13 +28,15 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	$(MAKE) DESTDIR=$(CURDIR)/debian/imvirt install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
+	dh_installman -a
+	dh_install -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_perl -a
@@ -44,6 +48,19 @@
 	dh_builddeb -a
 
 binary-indep: build install
+	dh_testdir -i
+	dh_testroot -i
+	dh_installchangelogs -i ChangeLog
+	dh_installdocs -i
+	dh_installman -i
+	dh_install -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_perl -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 get-orig-source:
 	@dh_testdir

=== debian/watch ===
version=3
http://sf.net/apt-dater/imvirt-(.*)\.tar\.gz

## imvirt 0.9.1

=== debian/changelog ===
imvirt (0.9.1-1ubuntu1) precise; urgency=low

  * Regenerae aclocal.m4 to fix FTBFS (LP: #935185). 

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 19 Feb 2012 02:27:18 +0100

imvirt (0.9.1-1) unstable; urgency=low

  * New upstream release.
    - Improved KVM detection.
      Closes: #620000

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 11 Jun 2011 11:37:41 +0200

imvirt (0.9.0-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:20:43 +0200

imvirt (0.9.0-4) unstable; urgency=low

  * Add missing dependency on pciutils.
    Closes: #612735

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Mar 2011 19:57:13 +0100

imvirt (0.9.0-3) unstable; urgency=low

  * Fix debian/watch. The project has been moved from apt-dater to it is own.
  * Update Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Sep 2010 18:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: imvirt
 Section: admin
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 5), automake
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://micky.ibh.net/~liske/imvirt.html
 
 Package: imvirt
@@ -29,7 +30,7 @@
 Architecture: all
 Section: perl
 Depends: ${misc:Depends}, ${perl:Depends}, libmodule-find-perl,
- libfile-slurp-perl
+ libfile-slurp-perl, pciutils
 Description: Perl module for detecting several virtualizations
  This Perl is able to determine, on which virtualization it is running.
  .

## imvirt 0.9.2

=== debian/changelog ===
imvirt (0.9.2-1) unstable; urgency=low

  * New upstream release.
    - Better detection support added.
      Closes: #637416
    - Remove all patches and the required automake call, they have been merged
      by upstream.
  * Add missing build-arch and build-indep debian/rules target.
  * Bump debian/compat to version 7.
    - Use dh_prep instead of dh_clean -k.
  * Wrap all debian/control lines.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 Feb 2012 14:08:05 +0100

=== debian/control ===
Source: imvirt
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://micky.ibh.net/~liske/imvirt.html

Package: imvirt
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 libimvirt-perl (= ${source:Version})
Recommends: dmidecode
Description: detects several virtualizations
 This Perl script tries to detect if it is run in a virtualization container.
 .
 In this version it is able to detect the following virtualization
 technologies:
  VirtualBox
  Virtual PC/Server
  VMware
  QEMU
  KVM
  Xen
 .
 And much more.

Package: libimvirt-perl
Architecture: all
Section: perl
Depends: ${misc:Depends},
 ${perl:Depends},
 libmodule-find-perl,
 libfile-slurp-perl,
 pciutils
Description: Perl module for detecting several virtualizations
 This Perl is able to determine, on which virtualization it is running.
 .
 In this version it is able to detect the following virtualization
 technologies:
  VirtualBox
  Virtual PC/Server
  VMware
  QEMU
  KVM
  Xen
 .
 And much more.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,15 @@
 #export DH_VERBOSE=1
 
 configure: configure-stamp
+
 configure-stamp:
 	dh_testdir
-	automake
 	./configure --prefix=/usr --libexec=/usr/lib
 	touch configure-stamp
+
+build-arch: build
+
+build-indep: build
 
 build: build-stamp
 
@@ -20,14 +24,13 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	rm -rf autom4te.cache Makefile.in
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 binary-arch: build install

## imvirt 0.9.4

=== debian/changelog ===
imvirt (0.9.4-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Jul 2012 08:55:15 +0200

imvirt (0.9.4-2) unstable; urgency=low

  * Move imvirt-report from /usr/lib/imvirt to /usr/bin and provide a manpage
    for it.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 May 2012 13:01:11 +0200

imvirt (0.9.4-1) unstable; urgency=low

  * New upstream release.
    - This should realy fix now the i386 FTBFS.
    - Drop patch 01-vmware-ftbfs.
  * Update long description with the current supported virtualizations.
  * Add libfile-which-perl dependency to the libimvirt-perl package.
  * Move dmidecode to suggests.
  * Add new architecture any imvirt-helper package and convert imvirt to
    architecture all to reflect the correct dependencies between libimvirt-perl
    and imvirt-helper.
  * Overwrite false positive lintian warnings about hardening-no-stackprotector.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 May 2012 23:21:18 +0200

imvirt (0.9.3-2) unstable; urgency=high

  * Add patch 01-vmware-ftbfs to fix another FTBFS on i386.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 May 2012 11:49:32 +0200

imvirt (0.9.3-1) unstable; urgency=high

  * New upstream release.
    - Fixed FTBFS on i386 with enabled hardening.
    - Add detection support for ARAnyM.
      Closes: #658914
    - Add new imvirt-report binary.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 May 2012 20:22:04 +0200

imvirt (0.9.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 22 Apr 2012 12:27:26 +0200

=== debian/control ===
Source: imvirt
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7),
 hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://micky.ibh.net/~liske/imvirt.html

Package: imvirt
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libimvirt-perl (= ${source:Version})
Description: detects several virtualizations
 This Perl script tries to detect if it is run in a virtualization container.
 .
 In this version it is able to detect the following virtualization
 technologies:
  ARAnyM
  KVM
  lguest
  LXC
  OpenVZ/Virtuozzo
  QEMU
  UML
  VMware GSX, ESX, Workstation
  Virtual PC/Virtual Server
  VirtualBox
  Xen (para and non-para virtualized)
 .
 And much more.

Package: libimvirt-perl
Architecture: all
Section: perl
Depends: ${misc:Depends},
 ${perl:Depends},
 imvirt-helper (>= ${source:Version}),
 libmodule-find-perl,
 libfile-slurp-perl,
 libfile-which-perl,
 pciutils
Suggests: dmidecode
Description: Perl module for detecting several virtualizations
 This Perl is able to determine, on which virtualization it is running.
 .
 In this version it is able to detect the following virtualization
 technologies:
  ARAnyM
  KVM
  lguest
  LXC
  OpenVZ/Virtuozzo
  QEMU
  UML
  VMware GSX, ESX, Workstation
  Virtual PC/Virtual Server
  VirtualBox
  Xen (para and non-para virtualized)
 .
 And much more.

Package: imvirt-helper
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libmime-lite-perl
Suggests: imvirt
Breaks: imvirt (<< 0.9.3-3)
Replaces: imvirt (<< 0.9.3-3)
Description: helper programs to detect several virtualizations
 This package includes several helper programs from imvirt to test for
 several virtualizations.
 .
 In this version it is able to detect the following virtualization
 technologies:
  ARAnyM
  KVM
  lguest
  LXC
  OpenVZ/Virtuozzo
  QEMU
  UML
  VMware GSX, ESX, Workstation
  Virtual PC/Virtual Server
  VirtualBox
  Xen (para and non-para virtualized)
 .
 And much more.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 configure: configure-stamp
 
@@ -40,6 +41,7 @@
 	dh_installdocs -a
 	dh_installman -a
 	dh_install -a
+	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_perl -a

## imvirt 0.9.5

=== debian/changelog ===
imvirt (0.9.5-3) unstable; urgency=low

  * Bump compat level to 9.
  * Migrate package to minimal debhelper.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 May 2013 21:23:33 +0200

imvirt (0.9.5-2) experimental; urgency=low

  * Also add new build dependencies libfile-slurp-perl and libmodule-find-perl.
  * Install the binary imvirt-helper modules only on i386 and amd64
    architectures. This fixes a FTBFS on all other architectures.
  * Add upstream patch 01-do-not-die-on-missing-cpuinfo to not die, if
    /proc/cpuinfo is unavailable, like on GNU/Hurd.
    Closes: #693278

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 22 Nov 2012 09:53:05 +0100

imvirt (0.9.5-1) experimental; urgency=low

  * New upstream release.
    - Remove merged patch 01-lxc-procfs-read.
    - Remove merged patch 02-kvm-double-dmesg-count.
    - Remove merged patch 03-lxc-physical.
    - imvirt-report manpage has been merged, install it from upstream.
    - Add new build dependency libfile-which-perl.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Nov 2012 10:28:35 +0100

imvirt (0.9.4-5) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Add missing word to long description of libimvirt-perl. Thanks Martin!
    Closes: #688663
  * Package imvirt-helper should recommend libimvirt-perl.
    Closes: #688106

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Sep 2012 09:48:36 +0200

imvirt (0.9.4-4) unstable; urgency=low

  * Add upstream patch 03-lxc-physical to fix an missdetection of physical
    hosts as LXC ones.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 01 Sep 2012 13:06:07 +0200

imvirt (0.9.4-3) unstable; urgency=low

  * Add upstream patch 01-lxc-procfs-read:
    LXC: Remove inapplicable /proc from procfs_read() parameter.
  * Add upstream patch 02-kvm-double-dmesg-count:
    KVM: Do not count dmesg line twice.
  * Merge 0.9.4-2~bpo60+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Aug 2012 09:44:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib

override_dh_auto_test:

override_dh_install:
	dh_install
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	dh_install -pimvirt-helper "debian/tmp/usr/lib/imvirt/" "usr/lib/"
endif
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	dh_install -pimvirt-helper "debian/tmp/usr/lib/imvirt/" "usr/lib/"
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

## imvirt 0.9.6

=== debian/changelog ===
imvirt (0.9.6-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Update to DEP5 debian/copyright format.
  * Remove deprecated hardening-wrapper.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature. There are
    no GPG signatures available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Jul 2015 20:27:26 +0200

imvirt (0.9.6-1) unstable; urgency=low

  * New upstream release.
    - Handle undefined %cpuinfo entries gracefully.
      Closes: #697961
    - Do not die if /proc/cpuinfo is not available. Remove merged Debian patch
      01-do-not-die-on-missing-cpuinfo.
      Closes: #709420, #693278
  * Replace my old e-mail address in debian/copyright.
  * Point debian/watch to github.
  * Limit helper installation also only for Linux systems. This solves the Hurd
    FTBFS.
  * Add patch 01-spelling-error to fix an spelling error in the manpage.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Aug 2013 10:46:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
- hardening-wrapper
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+ libfile-which-perl,
+ libfile-slurp-perl,
+ libmodule-find-perl
+Standards-Version: 3.9.6
 Homepage: http://micky.ibh.net/~liske/imvirt.html
 
 Package: imvirt
@@ -43,7 +45,7 @@
  pciutils
 Suggests: dmidecode
 Description: Perl module for detecting several virtualizations
- This Perl is able to determine, on which virtualization it is running.
+ This Perl module is able to determine, on which virtualization it is running.
  .
  In this version it is able to detect the following virtualization
  technologies:
@@ -66,6 +68,7 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  libmime-lite-perl
+Recommends: libimvirt-perl
 Suggests: imvirt
 Breaks: imvirt (<< 0.9.3-3)
 Replaces: imvirt (<< 0.9.3-3)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --libexec=/usr/lib

override_dh_auto_test:

override_dh_install:
	dh_install
ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	dh_install -pimvirt-helper "debian/tmp/usr/lib/imvirt/" "usr/lib/"
endif
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	dh_install -pimvirt-helper "debian/tmp/usr/lib/imvirt/" "usr/lib/"
endif
endif

=== debian/watch ===
version=3
https://github.com/DE-IBH/imvirt/releases \
/DE-IBH/imvirt/archive/v(.+)\.tar\.gz
